/***************************************************************************
                          logdialog.h  -  description
                             -------------------
    begin                : Mon Aug 6 2001
    copyright            : (C) 2001 by Roberto Virga
    email                : rvirga@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef LOGDIALOG_H
#define LOGDIALOG_H

#include <klistview.h>

#include "ksetispyview.h"
#include "logmonitor.h"

class LogDialog : public KSetiSpyView {
  Q_OBJECT
  public:
    LogDialog(QWidget *parent=0, const char *name=0);
    ~LogDialog();
  public slots:
    virtual void readConfig(bool readGeometry);
    virtual void saveConfig(bool saveGeometry);
    virtual void setLogData(const QValueList<log_data>& data);
  protected slots:
    virtual void textToClipboard();
  private:
    QValueList<log_data> cache;
  private slots:
    void handleContextMenu(KListView *, QListViewItem *, const QPoint& p);
};

#endif
