/***************************************************************************
                          resultsdetailplot.h  -  description
                             -------------------
    begin                : Sun Jun 24 2001
    copyright            : (C) 2001 by Roberto Virga
    email                : rvirga@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef RESULTSDETAILPLOT_H
#define RESULTSDETAILPLOT_H

#include <qstring.h>

#include <klocale.h>

#include "ksetispyview.h"

class ResultsDetailPlot : public KSetiSpyView  {
  Q_OBJECT
  public:
    enum Type {Gaussian, Pulse};
    ResultsDetailPlot(Type type, QWidget *parent=0, const char *name=0);
    ~ResultsDetailPlot();
  protected slots:
    virtual void updateContent();
    virtual void pixmapToClipboard();
    virtual void pixmapToFile();
  private:
    Type type;
  private slots:
    void displayDataSet(int index);
    void defaultResize();
    void setiResize();
    void openCityAtHomeURL();
};

#endif
