/***************************************************************************
                          resultsview.h  -  description
                             -------------------
    begin                : Wed May 30 2001
    copyright            : (C) 2001 by Roberto Virga
    email                : rvirga@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef RESULTSVIEW_H
#define RESULTSVIEW_H

#include <kdialog.h>

#include "ksetispyview.h"
#include "logdialog.h"
#include "resultsdialog.h"

class ResultsView : public KSetiSpyView {
  Q_OBJECT
  public:
    ResultsView(QWidget *parent=0, const char *name=0);
    ~ResultsView();
  public slots:
    void readConfig(bool readGeometry);
    void saveConfig(bool saveGeometry);
  protected:
    virtual void updateContent(bool force);
  protected slots:
    virtual void updateLog();
  private:
    void initLegend();
    ResultsDialog *resultsDialog;
    LogDialog *logDialog;
    KDialog *legend;
};

#endif
